Class | Rack::Builder
In: | lib/action_controller/vendor/rack-1.0/rack/builder.rb
Parent: | Object

Rack::Builder implements a small DSL to iteratively construct Rack applications.

Example:

     app = Rack::Builder.new {
       use Rack::CommonLogger
       use Rack::ShowExceptions
       map "/lobster" do
         use Rack::Lint
         run Rack::Lobster.new
       end
     }

Or

     app = Rack::Builder.app do
       use Rack::CommonLogger
       lambda { |env| [200, {'Content-Type' => 'text/plain'}, 'OK'] }
     end

`use` adds a middleware to the stack, `run` dispatches to an application. You can use `map` to construct a Rack::URLMap in a convenient way.

### Methods

app call map new run to_app use

### Public Class methods

app(&block)
new(&block)

### Public Instance methods

call(env)
map(path, &block)
run(app)
to_app()
use(middleware, *args, &block)

[Validate]